; PORECV.REC	Purchase Order receivings record map.
;=======================================================================;
; Copyright 1999 by TAH Software Systems (TAH), Oklahoma City, Oklahoma ;
;									;
;	TAH provides this software under a license and may only be	;
;	used in accordance with the terms and conditions of such	;
;	license and with the inclusion of the above Copyright notice.	;
;=======================================================================;
;	Record size:	156
;	Primary key:	1.16	company,order,lineno,linetype,lineseqn,recseqn
;	Alternate 1:	17.27	item,locncode [apinvc,apdate]
;			3.9	order,lineno
;=======================================================================;
record	porecv
	por_key		,a16			; Primary key
	  por_comp	,a2	@por_key	; Company code
	  por_order	,d6	@por_key+2	; Order number
	  por_lineno	,d3	@por_key+8	; Line number
	  por_linetype	,a1	@por_key+11	; Line type
						;   I - stock item
						;   N - non stock item
	  por_lineseqn	,d2	@por_key+12	; Line sequence number
	  por_recseqn	,d2	@por_key+14	; Record sequence number
						;  00 = item data
						;  01-99 = invoice data
	por_data_area	,a140			; data area
record	,X			; item data
			,a16
	por_item	,a24			; Item Id
	por_locncode	,a3			; Location
	por_descr	,a30			; Description
	por_recdate	,d8			; Date received            (YMD)
	  por_recyr	,d4	@por_recdate
	  por_recmo	,d2	@por_recdate+4
	por_ordqty	,d9.3			; Quantity ordered         (6.3)
	por_recuqty	,d9.3			; Qty rcvd (at dock)       (6.3)
	por_recdqty	,d9.3			; Qty rcvd (accepted)      (6.3)
	por_recrqty	,d9.3			; Qty rcvd (rejected)      (6.3)
	por_ucost	,d9.3			; Unit cost                (6.3)
	por_pfactor	,d6			; UOM factor               (6.0)
	por_posted	,a1			; Posting flag
	por_frtadd	,d6.3			; Freight added            (3.3)
	por_postqty	,d9.3			; Qty posted to date       (6.3)
	por_abin	,a8			; Aisle/Bin
record	,X			; invoice data
			,a16
	por_apinvc	,a8			; AP invoice number
	por_apdate	,d8			; AP invoice date          (YMD)
			,a11			; unused (due to alt key)
	por_apqty	,d9.3			; AP quantity              (6.3)
	por_apcost	,d10.2			; AP total cost            (8.2)
	por_apokey	,a19			; AP open item record key
